aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-iniparse
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2013-12-26 20:18:37 +0100
committerBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2013-12-26 20:18:37 +0100
commit9a0c97bcefd7f227e7f91f181e867a44413c6eaa (patch)
treed2b8e6688d4b26fd0f44885f69b013c4e0349ca1 /testing/py-iniparse
parentfd43c6043a3e7405be41e6763fd388d324d33088 (diff)
downloadaports-9a0c97bcefd7f227e7f91f181e867a44413c6eaa.tar.gz
aports-9a0c97bcefd7f227e7f91f181e867a44413c6eaa.tar.bz2
aports-9a0c97bcefd7f227e7f91f181e867a44413c6eaa.tar.xz
testing/py-iniparse: new aport
Diffstat (limited to 'testing/py-iniparse')
-rw-r--r--testing/py-iniparse/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/testing/py-iniparse/APKBUILD b/testing/py-iniparse/APKBUILD
new file mode 100644
index 0000000000..26ac593187
--- /dev/null
+++ b/testing/py-iniparse/APKBUILD
@@ -0,0 +1,29 @@
+# Maintainer:
+# Contributor: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
+
+pkgname=py-iniparse
+_pkgname=iniparse
+pkgver=0.4
+pkgrel=0
+pkgdesc='INI parser library for Python'
+url='http://code.google.com/p/iniparse/'
+arch='noarch'
+license='MIT'
+makedepends="python-dev py-setuptools sqlite-dev"
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="5e573e9e9733d97623881ce9bbe5eca6 iniparse-0.4.tar.gz"
+sha256sums="abc1ee12d2cfb2506109072d6c21e40b6c75a3fe90a9c924327d80bc0d99c054 iniparse-0.4.tar.gz"
+sha512sums="d59eae7c1ce474c89eddb0b0cbff5973444571728aa0c6ce5b3632984353415f7eec4de63cf007c276df0d1bb914b2ea5dd0acc00f3a261285c8e2e9883fbe9a iniparse-0.4.tar.gz"